import { IDesignItem } from '../../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../../IDesignerCanvas.js';
import { AbstractExtension } from '../AbstractExtension.js';
import { IExtensionManager } from '../IExtensionManger.js';
export declare class DisplayGridExtension extends AbstractExtension {
    private _cells;
    private _texts;
    private _gaps;
    private _group;
    private gridInformation;
    private gridInformationString;
    private _lastEvent;
    private gridColor;
    private gridFillColor;
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem, gridColor: string, gridFillColor: string);
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    dispose(): void;
    _initSVGArrays(): void;
}
